#ifndef MYX_BACKPORTS_QASCONST_HPP_
#define MYX_BACKPORTS_QASCONST_HPP_

#pragma once

#include <QtGlobal>

#if QT_VERSION < 0x050700

template < typename T >
Q_DECL_CONSTEXPR typename std::add_const< T >::type& qAsConst( T& t ) noexcept
{
	return( t );
}


// prevent rvalue arguments:
template < typename T >
void qAsConst( const T&& ) = delete;

#endif // if QT_VERSION < 0x050700

#endif // ifndef MYX_BACKPORTS_QASCONST_HPP_
